Imports System.IO
Imports System.Data
Imports System.Data.SqlClient
Imports System.Configuration

Partial Class VB
    Inherits System.Web.UI.Page
    Protected Sub Page_Load(ByVal sender As Object, ByVal e As EventArgs) Handles Me.Load
        gvCustomers.DataSource = Me.GetData("SELECT CustomerID, City FROM Customers")
        gvCustomers.DataBind()
        gvOrders.DataSource = Me.GetData("SELECT OrderID, CustomerID FROM Orders")
        gvOrders.DataBind()
    End Sub

    Private Function GetData(ByVal query As String) As DataTable
        Dim constr As String = ConfigurationManager.ConnectionStrings("constr").ConnectionString
        Using con As SqlConnection = New SqlConnection(constr)
            Using sda As SqlDataAdapter = New SqlDataAdapter(query, con)
                Using dt As DataTable = New DataTable()
                    sda.Fill(dt)
                    Return dt
                End Using
            End Using
        End Using
    End Function

    Public Overrides Sub VerifyRenderingInServerForm(ByVal control As Control)
    End Sub

    Protected Sub OnPaging(ByVal sender As Object, ByVal e As GridViewPageEventArgs)
        Dim gridView As GridView = CType(sender, GridView)
        gridView.PageIndex = e.NewPageIndex
        gridView.DataBind()
    End Sub

    Protected Sub ExportToWord(ByVal sender As Object, ByVal e As EventArgs)
        Response.Clear()
        Response.Buffer = True
        Response.AddHeader("content-disposition", "attachment;filename=GridViewExport.doc")
        Response.Charset = ""
        Response.ContentType = "application/vnd.ms-word"

        Using sw As StringWriter = New StringWriter()
            Dim hw As HtmlTextWriter = New HtmlTextWriter(sw)

            gvCustomers.AllowPaging = Convert.ToBoolean(rbPaging.SelectedItem.Value)
            gvCustomers.PagerSettings.Visible = False
            gvCustomers.DataBind()
            gvOrders.AllowPaging = Convert.ToBoolean(rbPaging.SelectedItem.Value)
            gvOrders.PagerSettings.Visible = False
            gvOrders.DataBind()
            Dim table As Table = New Table()

            Dim row1 As TableRow = New TableRow()

            Dim cell1 As TableCell = New TableCell()
            cell1.Controls.Add(gvCustomers)
            row1.Cells.Add(cell1)

            Dim cell2 As TableCell = New TableCell()
            cell2.Text = "&nbsp;"

            Dim cell3 As TableCell = New TableCell()
            cell3.Controls.Add(gvOrders)

            If rbPreference.SelectedValue = "2" Then
                row1.Cells.Add(cell2)
                row1.Cells.Add(cell3)
                table.Rows.Add(row1)
            Else
                Dim tr2 As TableRow = New TableRow()
                tr2.Cells.Add(cell2)

                Dim tr3 As TableRow = New TableRow()
                tr3.Cells.Add(cell3)

                table.Rows.Add(row1)
                table.Rows.Add(tr2)
                table.Rows.Add(tr3)
            End If

            table.RenderControl(hw)
            Response.Output.Write(sw.ToString())
            Response.Flush()
            Response.[End]()
        End Using
    End Sub
End Class
